CHIBI-DOC(1)

NAME
chibi-doc - generate documentation from Scheme scribble syntax

SYNOPSIS
chibi-doc [-hst] [file]

chibi-doc dotted.name.of.module [identifier]

DESCRIPTION
chibi-doc is a tool to generate documenatation from Scheme scribble syntax from Racket. It works like a UNIX filter, translating from the current input or a file to the standard output. You can also specify a module name, with components separated with dots, and it will search for the module and generate documentation for it by processing literate comments in the module or any of its source files. These comments are any line beginning with the characters ;;>

The scribble syntax is described in the manual (https://docs.racket-lang.org/scribble/index.html).

OPTIONS

-h  Output in HTML format (the default).

-s  Output in SXML format.

-t  Output in text format (the default for describing a single identifier).

AUTHORS
Alex Shinn

REPORTING BUGS
Please report bugs on Github (https://github.com/ashinn/chibi-scheme).

SEE ALSO
chibi-scheme(1)